%define		_class		    Log
%define		upstream_name	%{_class}

Name:		php-pear-%{upstream_name}
Version:	1.12.8
Release:	1
Summary:	Logging Framework
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/%{upstream_name}
Source0:	http://download.pear.php.net/package/Log-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildRequires:	php-pear
BuildArch:	noarch
# because it was broken out and the one doing it was pretty careless...
Conflicts:	php-pear < 1:1.9

%description
The Log package provides an abstracted logging framework. It includes output
handlers for log files, databases, syslog, email, Firebug, and the console. It
also provides composite and subject-observer logging mechanisms.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install

cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/docs
rm -rf %{buildroot}%{_datadir}/pear/tests

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%clean



%files
%doc %{upstream_name}-%{version}/docs/* %{upstream_name}-%{version}/examples
%{_datadir}/pear/%{_class}
%{_datadir}/pear/%{_class}.php
%{_datadir}/pear/data/%{upstream_name}
%{_datadir}/pear/packages/%{upstream_name}.xml

%changelog
* Tue Sep 16 2014 dsilakov <denis.silakov@rosalab.ru> 1.12.8-1
+ Revision: b8f967e
- Merge pull request #1 from import/php-pear-Log:auto_update
- ROSA Updates Builder: update suggested


